Lines Matching refs:got

119 	(( no == (BS * nb) )) || err_exit "shell hangs on command substitution output size >= $BS*$nb with write size $bs -- expected $((BS*nb)), got ${no:-0}"
134 (( no == (BS * nb) )) || err_exit "shell hangs on command substitution output size >= $BS*$nb with write size $bs and trailing redirection -- expected $((BS*nb)), got ${no:-0}"
172 do if ! got=$($TEST_shell "$cmd")
174 elif [[ "$got" != "$exp" ]]
176 GOT=$(printf %q "$got")
177 err_exit "${TEST_shell/*-c/\$SHELL -c} ${TEST_unset:+unset }${TEST_fork:+fork }$txt command substitution failed -- expected $EXP, got $GOT"
268 got=$?
269 [[ $got == $exp ]] || err_exit "getopts --man runtime callout with nonzero exit terminates shell -- expected '$exp', got '$got'"
271 got=$($SHELL -c $'
279 [[ $got == $exp ]] || err_exit "getopts --man runtime callout with nonzero exit terminates shell -- expected '$exp', got '$got'"
315 do got=${ printf "$body" "$1" "$2" "$code" | $SHELL 2>&1 }
319 elif [[ $got != $exp ]]
320 then err_exit "test $TEST '$1...$2 exit $code' failed -- got '$got', expected '$exp'"
391 got=$(<$tmp/out)
392 if [[ ! $got ]] && (( h ))
393 then got=HUNG
399 if [[ $got != $exp ]]
406 err_exit "'x=${SUB[S].BEG}${INS[I]}${cmd}${APP[A]}${SUB[S].END} && print \${#x}' failed -- expected '$exp', got '$got'"
432 got=$(<$tmp/out)
435 if [[ ! $got ]] && (( h ))
436 then got=HUNG
438 if [[ $got != $exp ]]
439 then err_exit "eval '$cmd' failed -- expected '$exp', got '$got'"
455 got=$(env | grep ^HOME=)
456 [[ $got == "$exp" ]] || err_exit "( HOME=/bin/sh ) cleanup failed -- expected '$exp', got '$got'"
460 got=$($SHELL -c "$cmd" 2>&1)
461 [[ $got == "$exp" ]] || err_exit "'$cmd' failed -- expected '$exp', got '$got'"
465 got=$($SHELL -c "$cmd")
466 if [[ $got != "$exp" ]]
468 GOT=$(printf %q "$got")
469 err_exit "'$cmd' failed -- expected $EXP, got $GOT"
501 got=$( $SHELL -c "(eval '$src'); echo $exp" )
502 [[ $got == "$exp" ]] || err_exit 'subshell eval of pipeline clobbers stdout'